Routes
Delete user
DELETEhttps://api.insurely.com/users/{userUuid}
Anonymize a user (soft delete). Sets externalId to null and marks user as anonymized.
Request
Path Parameters
userUuidstring
Header Parameters
Insurely-Versionstring
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
Possible Enum values are
2026-04-01.Responses
User successfully deleted.
cURL
curl https://api.insurely.com/users/{userUuid} \
-H "authorization-token: <authorization-token>" \
-H "Insurely-Version: 2026-04-01" \
-X DELETE